Subject: [AVT] Request for feedback on draft-valin-celt-rtp-profile-01.txt

From: Jean-Marc Valin <[email-masked]>
Date: Mon, 11 May 2009 16:02:12 -0400

Hi,

We have just updated the CELT RTP profile to take into account the 
suggestions we got:
http://www.ietf.org/internet-drafts/draft-valin-celt-rtp-profile-01.txt

Among the changes, we have replaced b:AS= with a bitrate= parameter and 
only one frame size is now allowed for each dynamic payload. This should 
solve the problem with early media at the expense of using possibly many 
payload types. Anything we forgot to address or any new issues?

Cheers,

    Jean-Marc

Randell Jesup wrote:
> Gregory Maxwell <[email-masked]> writes:
>   
>> Randell Jesup writes:
>> [snip]
>>     
>>> So what then was the "one-byte change in bitrate per frame" then?
>>> I was referring to what happens if 10 packets in a row are lost - can the
>>> receiver decode a packet that might be 10 bytes smaller or larger?  Does it
>>> need as input the number of packets lost (if any) since the last decoded
>>> packet? 
>>>       
>> I'll let JM respond to the rest of your ongoing conversation but I
>> wanted to take a crack at clarifying this as I probably caused the
>> misunderstanding on this point.
>>
>> The text "CELT allows for bitrate adjustment in one byte per frame
>> increments without any signalling requirement or overhead." is referring
>> to the *resolution* of the instantaneous bitrate, not the rate of
>> change. 
>>     
>
> Aha.  It's "one byte increments" then, not an "adjustment [of] one byte per
> frame".  Very different.  Thanks.
>
>   
>> If the text were changed to say "CELT can encode to any whole number of
>> bytes per frame at any time without signalling a change to the decoder"
>> would this avoid the potential for misunderstanding?
>>     
>
> Yes.
>
>